<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Authority.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.domain</a> &gt; <span class="el_source">Authority.java</span></div><h1>Authority.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.domain;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Column;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * An authority (a security role) used by Spring Security.
 */
@Entity
@Table(name = &quot;jhi_authority&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L19">public class Authority implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @NotNull
    @Size(min = 0, max = 50)
    @Id
    @Column(length = 50)
    private String name;

    public String getName() {
<span class="fc" id="L30">        return name;</span>
    }

    public void setName(String name) {
<span class="fc" id="L34">        this.name = name;</span>
<span class="fc" id="L35">    }</span>

    @Override
    public boolean equals(Object o) {
<span class="pc bpc" id="L39" title="1 of 2 branches missed.">        if (this == o) {</span>
<span class="fc" id="L40">            return true;</span>
        }
<span class="nc bnc" id="L42" title="All 4 branches missed.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="nc" id="L43">            return false;</span>
        }

<span class="nc" id="L46">        Authority authority = (Authority) o;</span>

<span class="nc bnc" id="L48" title="All 6 branches missed.">        if (name != null ? !name.equals(authority.name) : authority.name != null) {</span>
<span class="nc" id="L49">            return false;</span>
        }

<span class="nc" id="L52">        return true;</span>
    }

    @Override
    public int hashCode() {
<span class="pc bpc" id="L57" title="1 of 2 branches missed.">        return name != null ? name.hashCode() : 0;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L62">        return &quot;Authority{&quot; +</span>
            &quot;name='&quot; + name + '\'' +
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>